Skip to content

List service provider configs.

GET
/api/scim/namespaces/system/v2/ServiceProviderConfig
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/scim/namespaces/system/v2/ServiceProviderConfig \
--header 'Authorization: <Authorization>'

Listserviceproviderconfig CustomPublicAPI.

Examples of this operation.

A successful response.

Media typeapplication/json
ServiceProviderConfigResponse

ServiceProviderConfigResponse.

object
authenticationSchemes
authenticationSchemes

Supported authenticationSchemes for the resource. Required: YES.

Array<string>
bulk
object
supported
supported

Is support supported. Required: YES.

boolean format: boolean
changePassword
object
supported
supported

Is support supported. Required: YES.

boolean format: boolean
documentationUri
documentationUri

URI for documentation. Required: YES.

string
<= 1024 characters
etag
object
supported
supported

Is support supported. Required: YES.

boolean format: boolean
filter
object
maxResults
maxResults

Maximum results to be displayed. Required: YES.

string format: uint64
<= 1024 characters
supported
supported

Is filtering supported. Required: YES.

boolean format: boolean
patch
object
supported
supported

Is support supported. Required: YES.

boolean format: boolean
schemas
schemas

Schemas scim spec. Required: YES.

Array<string>
sort
object
supported
supported

Is support supported. Required: YES.

boolean format: boolean
Examplegenerated
{
"authenticationSchemes": [
"example"
],
"bulk": {
"supported": true
},
"changePassword": {
"supported": true
},
"documentationUri": "example",
"etag": {
"supported": true
},
"filter": {
"maxResults": "example",
"supported": true
},
"patch": {
"supported": true
},
"schemas": [
"example"
],
"sort": {
"supported": true
}
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example